description

# RuneIterator class Null safety

Iterator for reading runes (integer Unicode code points) of a Dart string.

Implemented types
  - BidirectionalIterator<int>

## Constructors

RuneIterator(String string)
  Create an iterator positioned at the beginning of the string.
RuneIterator.at(String string, int index)
  Create an iterator positioned before the `index`th code unit of the string. [...]

## Properties

current → int
  The rune (integer Unicode code point) starting at the current position in the string. [...]
  read-only, override
currentAsString → String
  A string containing the current rune. [...]
  read-only
currentSize → int
  The number of code units comprising the current rune. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
rawIndex ↔ int
  The starting position of the current rune in the string. [...]
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
string → String
  String being iterated.
  final

## Methods

moveNext() → bool
  Advances the iterator to the next element of the iteration. [...]
  override
movePrevious() → bool
  Move back to the previous element. [...]
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
reset([int rawIndex = 0]) → void
  Resets the iterator to the given index into the string. [...]
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited